Package kiyut.sketsa.loaders

## Class SVGDataObject

- java.lang.Object
- - org.openide.loaders.DataObject
  - - org.openide.loaders.MultiDataObject
    - - kiyut.sketsa.loaders.SVGDataObject

- All Implemented Interfaces:
    `Serializable`, `org.openide.nodes.Node.Cookie`, `org.openide.util.HelpCtx.Provider`, `org.openide.util.Lookup.Provider`

      public class SVGDataObject
      extends org.openide.loaders.MultiDataObject

  SVGDataObject class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.openide.loaders.MultiDataObject

      `org.openide.loaders.MultiDataObject.Entry`

    - ### Nested classes/interfaces inherited from class org.openide.loaders.DataObject

      `org.openide.loaders.DataObject.Container, org.openide.loaders.DataObject.Factory, org.openide.loaders.DataObject.Registration, org.openide.loaders.DataObject.Registrations, org.openide.loaders.DataObject.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected EventListener` | `domListener` | DOM Listener
    `protected SVGEditorSupport` | `editorSupport` | SVGEditorSupport
    `protected org.w3c.dom.svg.SVGDocument` | `svgDocument` | SVGDocument

    - ### Fields inherited from class org.openide.loaders.DataObject

      `PROP_COOKIE, PROP_FILES, PROP_HELP, PROP_MODIFIED, PROP_NAME, PROP_PRIMARY_FILE, PROP_TEMPLATE, PROP_VALID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVGDataObject​(org.openide.filesystems.FileObject pf, org.openide.loaders.MultiFileLoader loader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `associateLookup()` |
    `protected void` | `dispose()` | Overidden to remove all internal listener.
    `org.w3c.dom.svg.SVGDocument` | `getSVGDocument()` | Return SVGDocument
    `void` | `setSVGDocument​(org.w3c.dom.svg.SVGDocument doc)` | Set SVGDocument associated with this DataObject.
    `void` | `setSVGDocument​(org.w3c.dom.svg.SVGDocument doc, boolean replace)` | Set SVGDocument associated with this DataObject.

    - ### Methods inherited from class org.openide.loaders.MultiDataObject

      `addSecondaryEntry, createNodeDelegate, files, findSecondaryEntry, getCookie, getCookieSet, getHelpCtx, getLookup, getMultiFileLoader, getPrimaryEntry, handleCopy, handleCopyRename, handleCreateFromTemplate, handleDelete, handleMove, handleRename, isCopyAllowed, isDeleteAllowed, isMoveAllowed, isRenameAllowed, registerEditor, registerEntry, removeSecondaryEntry, secondaryEntries, setCookieSet, takePrimaryFileLock`

    - ### Methods inherited from class org.openide.loaders.DataObject

      `addPropertyChangeListener, addVetoableChangeListener, copy, createFromTemplate, createFromTemplate, createFromTemplate, createShadow, delete, find, firePropertyChange, fireVetoableChange, getCookie, getFolder, getLoader, getName, getNodeDelegate, getPrimaryFile, getRegistry, handleCreateShadow, isModified, isShadowAllowed, isTemplate, isValid, markFiles, move, removePropertyChangeListener, removeVetoableChangeListener, rename, setModified, setTemplate, setValid, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### svgDocument

          protected org.w3c.dom.svg.SVGDocument svgDocument

      SVGDocument

    - #### domListener

          protected EventListener domListener

      DOM Listener

    - #### editorSupport

          protected SVGEditorSupport editorSupport

      SVGEditorSupport

  - ### Constructor Detail

    - #### SVGDataObject

          public SVGDataObject​(org.openide.filesystems.FileObject pf,
                               org.openide.loaders.MultiFileLoader loader)
                        throws org.openide.loaders.DataObjectExistsException,
                               IOException

      Throws:
        `org.openide.loaders.DataObjectExistsException`
        `IOException`

  - ### Method Detail

    - #### associateLookup

          protected int associateLookup()

      Overrides:
        `associateLookup` in class `org.openide.loaders.MultiDataObject`

    - #### setSVGDocument

          public void setSVGDocument​(org.w3c.dom.svg.SVGDocument doc)

      Set SVGDocument associated with this DataObject. It is equal with call `setSVGDocument(doc,false)`
      Parameters:
        `doc` - SVGDocument
      See Also:
        `setSVGDocument(SVGDocument,boolean)`, `getSVGDocument()`

    - #### setSVGDocument

          public void setSVGDocument​(org.w3c.dom.svg.SVGDocument doc,
                                     boolean replace)

      Set SVGDocument associated with this DataObject. If parameter replace is true, it will fire documentReplaced event.
      Parameters:
        `doc` - SVGDocument
        `replace` - true or false
      See Also:
        `setSVGDocument(SVGDocument,boolean)`, `getSVGDocument()`

    - #### getSVGDocument

          public org.w3c.dom.svg.SVGDocument getSVGDocument()

      Return SVGDocument
      Returns:
        SVGDocument
      See Also:
        `setSVGDocument(SVGDocument)`

    - #### dispose

          protected void dispose()

      Overidden to remove all internal listener. Dispose this object
      Overrides:
        `dispose` in class `org.openide.loaders.DataObject`